Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 814695 - Red Hat v7 Hardware Test Suite Beta (v7-1.5-18) Core test clock jitter failed
Summary: Red Hat v7 Hardware Test Suite Beta (v7-1.5-18) Core test clock jitter failed
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 6.0
Hardware: x86_64
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-20 12:45 UTC by Akash Kodenkiri
Modified: 2012-10-05 18:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-05 18:01:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
Core test result (deleted)
2012-04-20 15:26 UTC, Akash Kodenkiri
no flags Details

Description Akash Kodenkiri 2012-04-20 12:45:11 UTC
Description of problem:
Red Hat v7 Hardware Test Suite Beta (v7-1.5-18) Core test failed on RHEL6x64.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Configure NTS server 
2.Install RHEL6x64 SUT VM with HW Cert (v7-1.5-18) rpm package and all other related rpm packages like stress, lmbench and dt. Also install the catalog.patch provided by Redhat for Bug 813090
3. Create a Test Plan on RHEL6x64 OS and run the test cases
4. Execute the all the test cases but Core test & info test will fail. 
  
Actual results:
Core test failing on all test executions

Expected results:
Core test should pass without any issue

Additional info:
1) v7-1.4-38 package, Core test passed properly 
2) Attached snapshot for more details

Comment 1 Greg Nichols 2012-04-20 14:08:28 UTC
Could you attach the core test results?

Comment 2 Akash Kodenkiri 2012-04-20 15:26:25 UTC
Created attachment 579039 [details]
Core test result

Comment 3 Akash Kodenkiri 2012-04-20 15:27:08 UTC
Attached Core test result.


-Akash

Comment 4 Greg Nichols 2012-04-20 17:32:58 UTC
The clock jitter test failed:

Testing for clock jitter on 64 cpus
using CPU_CALLOC
ERROR, jitter = 0.223508
iter = 2691, cpus = 0,63
ERROR, jitter = 0.243354
iter = 9136, cpus = 0,63
FAILED, 2 iterations failed

Comment 5 Rob Landry 2012-04-23 20:01:38 UTC
The jitter test did not change as I recall.  I would suspect 1.4 to fail in a similar manner if tested on the same environment.

If this is reproduced, it may be worth verifying with a different clock source. The results show the tsc clock is being used.  I am not familiar with with vmware to say if this is expected or desired.  Passing the kernel parameter "notsc" would likely have an effect but I'm not certain if the next default is any more appropriate than tsc.  Using clock= would allow the appropriate one to be forced; again presuming tsc is not the accurate choice.  If tsc is correct something else need to be looked at.  Though in any case it seem unlikely to a core change between 1.4 and 1.5 that causes this to appear.

Comment 6 Akash Kodenkiri 2012-04-24 09:17:06 UTC
(In reply to comment #5)
> The jitter test did not change as I recall.  I would suspect 1.4 to fail in a
> similar manner if tested on the same environment.
> 
> If this is reproduced, it may be worth verifying with a different clock source.
> The results show the tsc clock is being used.  I am not familiar with with
> vmware to say if this is expected or desired.  Passing the kernel parameter
> "notsc" would likely have an effect but I'm not certain if the next default is
> any more appropriate than tsc.  Using clock= would allow the appropriate one to
> be forced; again presuming tsc is not the accurate choice.  If tsc is correct
> something else need to be looked at.  Though in any case it seem unlikely to a
> core change between 1.4 and 1.5 that causes this to appear.

I have executed these tests few more times. With 1.5 Core test Passed few times and Pass ratio is 5/10. With 1.4 Core test passed all the time and pass ratio is 10/10.


-Akash

Comment 8 Rob Landry 2012-10-04 16:42:11 UTC
Hi Akash,

Is this still an issue with v7 1.5-32? ...with RHEL6.3?

Comment 9 Akash Kodenkiri 2012-10-05 04:51:50 UTC
This is not an issue now, you can close the ticket.


-Akash


Note You need to log in before you can comment on or make changes to this bug.